%bcond_without  docs
%global srcname pycares

Summary:        Python interface for c-ares
Name:           python-%{srcname}
Version:        4.3.0
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/saghul/pycares
Source0:        https://github.com/saghul/%{srcname}/archive/%{srcname}-%{version}.tar.gz #/%{srcname}-%{srcname}-%{version}.tar.gz

BuildRequires:  gcc make
BuildRequires:  python3-devel python3-setuptools python3-cffi
BuildRequires:  c-ares-devel
%if %{with docs}
BuildRequires:  python3-sphinx python3-sphinx_rtd_theme
%endif

%description
pycares is a Python module which provides an interface to
c-ares. c-ares is a C library that performs DNS requests and name
resolutions asynchronously.


%package     -n python3-%{srcname}
Summary:        Python interface for c-ares

%description -n python3-%{srcname}
pycares is a Python module which provides an interface to
c-ares. c-ares is a C library that performs DNS requests and name
resolutions asynchronously.

%if %{with docs}
%package     -n python-%{srcname}-doc
Summary:        Documentation for python-pycares
BuildArch:      noarch
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python-%{srcname}-doc
This package contains documentation in reST and HTML formats for python-pycares.
%endif


%prep
%autosetup -n %{srcname}-%{srcname}-%{version}


%build
export PYCARES_USE_SYSTEM_LIB=1
%py3_build

%if %{with docs}
pushd docs/
make html
popd
%endif


%install
%py3_install

%if %{with docs}
mkdir -p %{buildroot}%{_pkgdocdir}/
cp -pr docs/_build/html %{buildroot}%{_pkgdocdir}/

mv -f %{buildroot}%{_pkgdocdir}/html/_sources/ %{buildroot}%{_pkgdocdir}/rst/
rm -rf %{buildroot}%{_pkgdocdir}/html/.buildinfo
%endif

chmod 755 %{buildroot}%{python3_sitearch}/%{srcname}/_cares.cpython-*.so


%check


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst ChangeLog
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%if %{with docs}
%files -n python-%{srcname}-doc
%doc examples/
%{_pkgdocdir}/
%endif


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 rockerzhu <rockerzhu@tencent.com> - 4.3.0-1
- Initail build
